# Prediction API . hostedmodels

## Instance Methods

Submit input and request an output against a hosted model

### Method Details

`predict(hostedModelName, body)`

    Submit input and request an output against a hosted model

    Args:
      hostedModelName: string, The name of a hosted model (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "input": {
          "csvInstance": [
            "",
          ],
        },
      }

    Returns:
      An object of the form:

        {
        "kind": "prediction#output",
        "outputLabel": "A String",
        "id": "A String",
        "outputMulti": [
          {
            "score": 3.14,
            "label": "A String",
          },
        ],
        "outputValue": 3.14,
        "selfLink": "A String",
      }